package test

import (
	"fmt"
	"testing"
	vps91 "vps91-go-sdk/com.vps91"
	"vps91-go-sdk/com.vps91/common"
)

const (
	dynamicTradeNo  = "2896440822691174"
	dynamicTradeKey = "ac1c3ebba710acdf8f505c6ceaf45afd"
	
	aloneTradeNo = "you alone trade no"
	aloneKey     = "you alone key"

	postPayTradeNo = "you post pay trade no"
	postPayKey     = "you post pay key"

	unlimitedTradeNo = "you unlimited trade no"
	unlimitedKey     = "you unlimited key"
)

// 不限量 -- 提取ip
func TestUnlimitedGetIps(t *testing.T) {
	var unlimitedGetIps common.UnlimitedGetIps
	unlimitedGetIps.TradeNo = unlimitedTradeNo
	unlimitedGetIps.Key = unlimitedKey
	unlimitedGetIps.Num = "1"
	fmt.Println(vps91.UnlimitedGetIps(unlimitedGetIps))
}

// 不限量 -- 设置白名单
func TestUnlimitedSetWhiteIp(t *testing.T) {
	var unlimitedSetWhiteIp common.UnlimitedSetWhiteIp
	unlimitedSetWhiteIp.TradeNo = unlimitedTradeNo
	unlimitedSetWhiteIp.Key = unlimitedKey
	unlimitedSetWhiteIp.Ips = "223.6.6.6,223.5.5.5"
	fmt.Println(vps91.UnlimitedSetWhiteIp(unlimitedSetWhiteIp))
}

// 不限量 -- 获取白名单
func TestUnlimitedGetWhiteIp(t *testing.T) {
	var unlimitedGetWhiteIp common.UnlimitedGetWhiteIp
	unlimitedGetWhiteIp.TradeNo = unlimitedTradeNo
	unlimitedGetWhiteIp.Key = unlimitedKey
	fmt.Println(vps91.UnlimitedGetWhiteIp(unlimitedGetWhiteIp))
}

// 不限量 -- 替换白名单
func TestUnlimitedReplaceWhiteIp(t *testing.T) {
	var unlimitedReplaceWhiteIp common.UnlimitedReplaceWhiteIp
	unlimitedReplaceWhiteIp.TradeNo = unlimitedTradeNo
	unlimitedReplaceWhiteIp.Key = unlimitedKey
	unlimitedReplaceWhiteIp.NewIp = "223.6.6.6"
	unlimitedReplaceWhiteIp.OldIp = "223.6.6.6"
	fmt.Println(vps91.UnlimitedReplaceWhiteIp(unlimitedReplaceWhiteIp))
}



// 替换Ip白名单
func TestLanguage_aloneReplaceWhiteIp(t *testing.T) {
	var whiteIp common.AloneReplaceWhiteIp
	whiteIp.SetTrade_no(aloneTradeNo)
	whiteIp.SetKey(aloneKey)
	whiteIp.SetOld_ip("171.42.101.123")
	whiteIp.SetNew_ip("223.6.6.6")
	value := vps91.AloneReplaceWhiteIp(whiteIp)
	fmt.Println(value)
}

// 独享代理 -- 获取代理IP白名单
func TestLanguage_aloneGetWhiteIp(t *testing.T) {
	var whiteIp common.AloneGetWhiteIp
	whiteIp.SetTrade_no(aloneTradeNo)
	whiteIp.SetKey(aloneKey)
	value := vps91.AloneGetWhiteIp(whiteIp)
	fmt.Println(value)
}

// 独享代理 -- 设置代理IP白名单
func TestLanguage_aloneSetWhiteIp(t *testing.T) {
	var whiteIp common.AloneSetWhiteIp
	whiteIp.SetTrade_no(aloneTradeNo)
	whiteIp.SetKey(aloneKey)
	whiteIp.SetIps("171.40.164.78")
	value := vps91.AloneSetWhiteIp(whiteIp)
	fmt.Println(value)
}

// 独享代理 -- 获取独享代理详情
func TestLanguage_aloneGetIps(t *testing.T) {
	var ips common.AloneGetIps
	ips.SetTrade_no(aloneTradeNo)
	ips.SetKey(aloneKey)
	value := vps91.AloneGetIps(ips)
	fmt.Println(value)
}

// 动态代理 -- 获取剩余可提取IP数量
func TestLanguage_dynamicBalance(t *testing.T) {
	var balance common.DynamicBalance
	balance.SetKey(dynamicTradeKey)
	balance.SetTrade_no(dynamicTradeNo)
	value := vps91.DynamicBalance(balance)
	fmt.Println(value)
}

// 动态代理 -- 获取代理剩余可用时长
func TestLanguage_dynamicRemain(t *testing.T) {
	var remain common.DynamicRemain
	remain.SetKey(dynamicTradeKey)
	remain.SetTrade_no(dynamicTradeNo)
	remain.SetProxy("1.1.1.1:8088")
	value := vps91.DynamicRemain(remain)
	fmt.Println(value)
}

// 动态代理 -- 获取代理IP白名单
func TestLanguage_dynamicGetWhiteIp(t *testing.T) {
	var getWhiteIp common.DynamicGetWhiteIp
	getWhiteIp.SetKey(dynamicTradeKey)
	getWhiteIp.SetTrade_no(dynamicTradeNo)
	value := vps91.DynamicGetWhiteIp(getWhiteIp)
	fmt.Println(value)
}

// 动态代理 -- 替换Ip白名单
func TestLanguage_dynamicReplaceWhiteIp(t *testing.T) {
	var ip common.DynamicReplaceWhiteIp
	ip.SetTrade_no(dynamicTradeNo)
	ip.SetKey(dynamicTradeKey)
	//ip.SetOld_ip("10.10.10.10")
	ip.SetNew_ip("223.6.6.6,255.255.255.255")
	ip.SetReset("1")
	value := vps91.DynamicReplaceWhiteIp(ip)
	fmt.Println(value)
}

// 动态代理 -- 设置代理IP白名单
func TestLanguage_dynamicSetWhiteIp(t *testing.T) {
	var setWhiteIp common.DynamicSetWhiteIp
	setWhiteIp.SetKey(dynamicTradeKey)
	setWhiteIp.SetTrade_no(dynamicTradeNo)
	setWhiteIp.SetIps("171.40.164.78")
	value := vps91.DynamicSetWhiteIp(setWhiteIp)
	fmt.Println(value)
}

// 动态代理 -- 校验代理有效性
func TestLanguage_dynamicCheck(t *testing.T) {
	var dynamicCheck common.DynamicCheck
	dynamicCheck.SetKey(dynamicTradeKey)
	dynamicCheck.SetTrade_no(dynamicTradeNo)
	dynamicCheck.SetProxy("58.219.244.199:50154")
	value := vps91.DynamicCheck(dynamicCheck)
	fmt.Println(value)
}

// 动态代理 -- 提取动态代理
func TestLanguage_dynamicGetIps(t *testing.T) {
	var dynamicGetIps common.DynamicGetIps
	dynamicGetIps.SetKey(dynamicTradeKey)
	dynamicGetIps.SetTrade_no(dynamicTradeNo)
	dynamicGetIps.SetNum("10")
	dynamicGetIps.SetPt("1")
	dynamicGetIps.SetResult_type("json")
	dynamicGetIps.SetSplit("4")
	value := vps91.DynamicGetIps(dynamicGetIps)
	fmt.Println(value)
}

// 按量付费 -- 提取ip
func TestLanguage_postPayGetIps(t *testing.T) {
	var postPayGetIps common.PostPayGetIps
	postPayGetIps.Key = postPayKey
	postPayGetIps.TradeNo = postPayTradeNo
	postPayGetIps.Num = "10"
	value := vps91.PostPayGetIps(postPayGetIps)
	fmt.Println(value)
}

// 按量付费 -- 检查ip可用性
func TestLanguage_postPayCheckIps(t *testing.T) {
	var postPayCheckIps common.PostPayCheckIps
	postPayCheckIps.Key = postPayKey
	postPayCheckIps.TradeNo = postPayTradeNo
	postPayCheckIps.Proxy = "60.20.200.119:53778"
	value := vps91.PostPayCheckIps(postPayCheckIps)
	fmt.Println(value)
}

// 按量付费 -- 设置白名单
func TestLanguage_postPaySetWhiteIp(t *testing.T) {
	var postPaySetWhiteIp common.PostPaySetWhiteIp
	postPaySetWhiteIp.Key = postPayKey
	postPaySetWhiteIp.TradeNo = postPayTradeNo
	postPaySetWhiteIp.Ips = "223.6.6.6"
	value := vps91.PostPaySetWhiteIp(postPaySetWhiteIp)
	fmt.Println(value)
}

// 按量付费 -- 获取ip白名单
func TestLanguage_postPayGetWhiteIp(t *testing.T) {
	var postPayGetWhiteIp common.PostPayGetWhiteIp
	postPayGetWhiteIp.Key = postPayKey
	postPayGetWhiteIp.TradeNo = postPayTradeNo
	value := vps91.PostPayGetWhiteIp(postPayGetWhiteIp)
	fmt.Println(value)
}

// 按量付费 -- 获取剩余可提取IP数量
func TestLanguage_postPayReplaceWhiteIp(t *testing.T) {
	var postPayReplaceWhiteIp common.PostPayReplaceWhiteIp
	postPayReplaceWhiteIp.Key = postPayKey
	postPayReplaceWhiteIp.TradeNo = postPayTradeNo
	postPayReplaceWhiteIp.NewIp = "223.6.6.6"
	postPayReplaceWhiteIp.Reset = "1"
	value := vps91.PostPayReplaceWhiteIp(postPayReplaceWhiteIp)
	fmt.Println(value)
}
